declare class StorageService {
    private storage;
    constructor(storage: Storage);
    get<T>(key: string): T | null;
    set<T>(key: string, value: T): void;
    delete(key: string): void;
    deleteAll(): void;
}
declare class LocalStorageService extends StorageService {
    constructor();
}
declare class SessionStorageService extends StorageService {
    constructor();
}

export { LocalStorageService, SessionStorageService };
